### Method

# Foundry LlmProvider list_resources

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_llm_provider_list_resources (
      FoundryLlmProvider* self
    )

#### Description [src]

List resources that may be made available to the model.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryLlmResource`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.